Get Space
Get an X Space's title, state, schedule, listener counts, creator, and participants. An unknown Space ID returns data: null.
1 credit / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
space_id*string
Space ID from its x.com/i/spaces URL. The full URL is accepted.
Length
length <= 300curl -X GET "https://example.com/v1/x/space?space_id=1yKAPMPBXEzxb" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "id": "string", "title": "string", "state": "Ended", "created_at": "string", "scheduled_start": "string", "updated_at": "string", "replay_watched_count": 0, "live_listener_count": 0, "participant_count": 0, "creator": { "id": "11348282", "handle": "NASA", "name": "NASA", "description": "Making the seemingly impossible, possible. ✨", "location": "Pale Blue Dot", "website": "https://www.nasa.gov/", "avatar_url": "https://pbs.twimg.com/profile_images/1321163587679784960/0ZxKlEKB_normal.jpg", "banner_url": "https://pbs.twimg.com/profile_banners/11348282/1788992290", "followers_count": 92323915, "following_count": 115, "posts_count": 74434, "media_count": 28199, "likes_count": 17030, "is_verified": false, "is_blue_verified": true, "verified_type": "Government", "protected": false, "created_at": "2007-12-19T20:20:32.000Z", "pinned_post_ids": [], "is_automated": false }, "admins": [ { "id": "11348282", "handle": "NASA", "name": "NASA", "description": "Making the seemingly impossible, possible. ✨", "location": "Pale Blue Dot", "website": "https://www.nasa.gov/", "avatar_url": "https://pbs.twimg.com/profile_images/1321163587679784960/0ZxKlEKB_normal.jpg", "banner_url": "https://pbs.twimg.com/profile_banners/11348282/1788992290", "followers_count": 92323915, "following_count": 115, "posts_count": 74434, "media_count": 28199, "likes_count": 17030, "is_verified": false, "is_blue_verified": true, "verified_type": "Government", "protected": false, "created_at": "2007-12-19T20:20:32.000Z", "pinned_post_ids": [], "is_automated": false } ], "speakers": [ { "id": "11348282", "handle": "NASA", "name": "NASA", "description": "Making the seemingly impossible, possible. ✨", "location": "Pale Blue Dot", "website": "https://www.nasa.gov/", "avatar_url": "https://pbs.twimg.com/profile_images/1321163587679784960/0ZxKlEKB_normal.jpg", "banner_url": "https://pbs.twimg.com/profile_banners/11348282/1788992290", "followers_count": 92323915, "following_count": 115, "posts_count": 74434, "media_count": 28199, "likes_count": 17030, "is_verified": false, "is_blue_verified": true, "verified_type": "Government", "protected": false, "created_at": "2007-12-19T20:20:32.000Z", "pinned_post_ids": [], "is_automated": false } ], "listeners": [ { "id": "11348282", "handle": "NASA", "name": "NASA", "description": "Making the seemingly impossible, possible. ✨", "location": "Pale Blue Dot", "website": "https://www.nasa.gov/", "avatar_url": "https://pbs.twimg.com/profile_images/1321163587679784960/0ZxKlEKB_normal.jpg", "banner_url": "https://pbs.twimg.com/profile_banners/11348282/1788992290", "followers_count": 92323915, "following_count": 115, "posts_count": 74434, "media_count": 28199, "likes_count": 17030, "is_verified": false, "is_blue_verified": true, "verified_type": "Government", "protected": false, "created_at": "2007-12-19T20:20:32.000Z", "pinned_post_ids": [], "is_automated": false } ] }, "details": { "reason": "string", "message": "string" }}